Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.passage
Class RangedPassage.VerseRangeIterator

    java.lang.Object
      org.crosswire.jsword.passage.RangedPassage.VerseRangeIterator

All Implemented Interfaces:
  Iterator

Enclosing class:
  RangedPassage

    private static final class RangedPassage.VerseRangeIterator

extends Object
implements Iterator

Loop over the VerseRanges and check that they do not require digging into

Field Summary
`private VerseRange` | `next` What are we going to reply with next?
`private Iterator` | `real` Where we read our base ranges from
`private RestrictionType` | `restrict` Where do we break ranges

Constructor Summary
`RangedPassage.VerseRangeIterator(Iterator it, RestrictionType restrict)` Simple ctor

Method Summary
`boolean` | `hasNext()`
`Object` | `next()`
`void` | `remove()`
`private Object` | `replyNext()` The next object is correct, use that one
`private Object` | `splitNext()` The next object is too big, so cut it up

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### next

    private VerseRange next

  What are we going to reply with next?

### restrict

    private RestrictionType restrict

  Where do we break ranges

### real

    private Iterator real

  Where we read our base ranges from

Constructor Detail

### RangedPassage.VerseRangeIterator

    public RangedPassage.VerseRangeIterator(Iterator it,
                                            RestrictionType restrict)

  Simple ctor

Method Detail

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

### replyNext

    private Object replyNext()

  The next object is correct, use that one

### splitNext

    private Object splitNext()

  The next object is too big, so cut it up

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD